features:
  secondary:
  - name: Use npmjs.org as a default remote repository when the package is not found
      in the GitLab NPM Registry
    available_in:
    - premium
    - ultimate
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/user/admin_area/settings/continuous_integration.html#package-registry-configuration-premium-only'
    video: 'https://www.youtube.com/embed/Do-5bmgvHOU'
    image_url: '/images/12_9/npm_remote_repository.png'
    reporter: trizzi
    stage: package
    categories:
    - Package Registry
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/issues/55344'
    description: |
      The GitLab NPM Registry allows users to host a private NPM registry alongside their source code and pipelines. This works best if the GitLab NPM Registry is the only source of packages with the GitLab `group_name` scope. However, it's common that users also publish open source packages to the global NPM registry using the same scope, often when their private packages depend on those public packages.

      In GitLab 12.9, we are excited to announce that you can now use <https://www.npmjs.com/> as a remote repository when the package is not found in your GitLab private registry. This feature will be auto-enabled at the instance level and can easily be disabled by navigating to the instance level CI/CD settings.
